Skip to main content
PATCH
/
tax
/
accounts
/
{accountId}
/
transactions
/
{transactionId}
Update Deposit Transaction Cost Basis
curl --request PATCH \
  --url https://api.anchorage-staging.com/v2/tax/accounts/{accountId}/transactions/{transactionId} \
  --header 'Api-Access-Key: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "lots": [
    {
      "acquisitionDatetime": "2023-11-07T05:31:56Z",
      "costBasis": "2500",
      "quantity": "1.0"
    }
  ]
}
'
{
  "data": {
    "transactionId": "9cd9f4d4-078b-4e44-a308-7662fec0f546"
  }
}

Authorizations

Api-Access-Key
string
header
required

An API key associated with a security role

Path Parameters

accountId
string
required

The ID of the tax account

transactionId
string
required

The ID of the transaction to update

Body

application/json

Request to update cost basis for a transaction

lots
object[]
required

An array of tax lots that are part of this transaction. Each lot specifies the quantity, cost basis and the acquisition date.

Minimum array length: 1

Response

Successfully updated the transaction cost basis

Response after updating transaction cost basis

data
object
required

Response data containing transaction ID